// http://ionicframework.com/docs/theming/


// App Global Sass
// --------------------------------------------------
// Put style rules here that you want to apply globally. These
// styles are for the entire app and not just one component.
// Additionally, this file can be also used as an entry point
// to import other Sass files to be included in the output CSS.
//
// Shared Sass variables, which can be used to adjust Ionic's
// default Sass variables, belong in "theme/variables.scss".
//
// To declare rules for a specific mode, create a child rule
// for the .md, .ios, or .wp mode classes. The mode class is
// automatically applied to the <body> element in the app.

.content {
    background-color: #f8f8f8;
}

.ng-valid .item-inner {
    border-bottom: #dedede!important;
    box-shadow: inset 0 -1px 0 0 #dedede !important;
}

.item-note {
    color: #999;
}

[no-wrap] {
    white-space: normal;
}

[m-b-10] {
    margin-bottom: 10px !important;
}

[c-gray] {
    color: #999;
}

.alert-md .alert-radio-label { font-size: 18px; }

.skeleton {
    padding: 10px;

    .card {
        background-color: #F0F0F0;
        border-radius: 5px;
        margin-bottom: 10px;
        //height: 150px;
        padding: 10px;
        
        .name {
            margin: auto;
            width: 30vw;
            background-color: #DBDBDB;
            height: 25px;
            border-radius: 2px;
            margin-bottom: 10px;
            animation: pulse 2s infinite ease-in-out;
        }

        .line {
            margin: auto;
            margin-bottom: 10px;
            width: 80vw;
            background-color: #DBDBDB;
            height: 20px;
            border-radius: 2px;
            animation: pulse 2s infinite ease-in-out;
        }
    }

    @-webkit-keyframes pulse {
        0% {
            background-color: rgba(165,165,165,.1);
        }
        50% {
            background-color: rgba(165,165,165,.3);
        }
        100% {
            background-color: rgba(165,165,165,.1);
        }
    }
}